package com.gic.haoban.manage.api.qdto.chat;

import com.gic.haoban.manage.api.dto.chat.GroupChatActivityRewardDTO;

import java.io.Serializable;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 社群邀请有礼表(TabHaobanGroupChatActivity)实体类
 *
 * @author makejava
 * @since 2024-09-27 16:09:38
 */
public class GroupChatActivityQDTO implements Serializable {
    private static final long serialVersionUID = 973688857967269973L;
    /**
     * 社群活动id
     */
    private Long chatActivityId;
    /**
     * 活动名称
     */
    private String activityName;
    /**
     * 开始时间
     */
    private Date startDate;
    /**
     * 结束时间
     */
    private Date endDate;
    /**
     * 状态1未开始2进行中3已终止4已结束
     */
    private Integer status;
    /**
     * 活动图片
     */
    private String activityImg;
    /**
     * 活动受邀页图片
     */
    private String activityInviteImg;
    /**
     * 活动说明
     */
    private String activityDesc;
    /**
     * 活动分享标题
     */
    private String activityShareTitle;
    /**
     * 活动分享卡片图片
     */
    private String activityShareImg;
    /**
     * 活动分享海报图片
     */
    private String activityPosterImg;
    /**
     * 奖励类型 1定额奖励2阶梯奖励
     */
    private Integer inviteRewardType;
    /**
     * 入群方式 1规则入群2定向入群
     */
    private Integer joinType;
    /**
     * 入群规则 1邀请人所在企微群2服务门店3协管门店4LBS定位 [{"openFlag":0,"val":1},{"openFlag":0,"val":2},{"openFlag":0,"val":3},{"openFlag":0,"val":4}]
     */
    private String joinRule;
    /**
     * 入群兜底群活码id
     */
    private Long joinChatHmId;
    /**
     * 邀请类型 0不限制1入群前未处于任何企业群聊内算有效邀请2首次加入企业群聊才算有效邀请
     */
    private Integer inviteType;
    /**
     * 邀请会员类型 0所有用户1开卡会员
     */
    private Integer inviteMemberType;
    /**
     * 打标签1是0否
     */
    private Integer labelFlag;
    /**
     * {"id": 1, "name": "标签名称" }
     */
    private String labelJson;
    /**
     * 异常提醒 0 不提醒 1短信提醒
     */
    private Integer exceptionNotice;
    /**
     * 异常提醒数量
     */
    private Integer exceptionNoticeNum;
    /**
     * 企业ID
     */
    private String enterpriseId;
    /**
     * 微信企业ID
     */
    private String wxEnterpriseId;

    private String creatorId;

    private String creatorName;

    /**
     * 奖励规则map key为奖励邀请人类型
     */
    private Map<Integer,List<GroupChatActivityRewardDTO>> rewardMap;

    /**
     * 入群规则列表
     */
    private List<GroupChatActivityJoinQDTO> joinList;

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getActivityName() {
        return activityName;
    }

    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getActivityImg() {
        return activityImg;
    }

    public void setActivityImg(String activityImg) {
        this.activityImg = activityImg;
    }

    public String getActivityInviteImg() {
        return activityInviteImg;
    }

    public void setActivityInviteImg(String activityInviteImg) {
        this.activityInviteImg = activityInviteImg;
    }

    public String getActivityDesc() {
        return activityDesc;
    }

    public void setActivityDesc(String activityDesc) {
        this.activityDesc = activityDesc;
    }

    public String getActivityShareTitle() {
        return activityShareTitle;
    }

    public void setActivityShareTitle(String activityShareTitle) {
        this.activityShareTitle = activityShareTitle;
    }

    public String getActivityShareImg() {
        return activityShareImg;
    }

    public void setActivityShareImg(String activityShareImg) {
        this.activityShareImg = activityShareImg;
    }

    public String getActivityPosterImg() {
        return activityPosterImg;
    }

    public void setActivityPosterImg(String activityPosterImg) {
        this.activityPosterImg = activityPosterImg;
    }

    public Integer getInviteRewardType() {
        return inviteRewardType;
    }

    public void setInviteRewardType(Integer inviteRewardType) {
        this.inviteRewardType = inviteRewardType;
    }

    public Integer getJoinType() {
        return joinType;
    }

    public void setJoinType(Integer joinType) {
        this.joinType = joinType;
    }

    public String getJoinRule() {
        return joinRule;
    }

    public void setJoinRule(String joinRule) {
        this.joinRule = joinRule;
    }

    public Long getJoinChatHmId() {
        return joinChatHmId;
    }

    public void setJoinChatHmId(Long joinChatHmId) {
        this.joinChatHmId = joinChatHmId;
    }

    public Integer getInviteType() {
        return inviteType;
    }

    public void setInviteType(Integer inviteType) {
        this.inviteType = inviteType;
    }

    public Integer getInviteMemberType() {
        return inviteMemberType;
    }

    public void setInviteMemberType(Integer inviteMemberType) {
        this.inviteMemberType = inviteMemberType;
    }

    public Integer getLabelFlag() {
        return labelFlag;
    }

    public void setLabelFlag(Integer labelFlag) {
        this.labelFlag = labelFlag;
    }

    public String getLabelJson() {
        return labelJson;
    }

    public void setLabelJson(String labelJson) {
        this.labelJson = labelJson;
    }

    public Integer getExceptionNotice() {
        return exceptionNotice;
    }

    public void setExceptionNotice(Integer exceptionNotice) {
        this.exceptionNotice = exceptionNotice;
    }

    public Integer getExceptionNoticeNum() {
        return exceptionNoticeNum;
    }

    public void setExceptionNoticeNum(Integer exceptionNoticeNum) {
        this.exceptionNoticeNum = exceptionNoticeNum;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public Map<Integer, List<GroupChatActivityRewardDTO>> getRewardMap() {
        return rewardMap;
    }

    public void setRewardMap(Map<Integer, List<GroupChatActivityRewardDTO>> rewardMap) {
        this.rewardMap = rewardMap;
    }

    public List<GroupChatActivityJoinQDTO> getJoinList() {
        return joinList;
    }

    public void setJoinList(List<GroupChatActivityJoinQDTO> joinList) {
        this.joinList = joinList;
    }
}

